FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian ISP

 
 
LinkBack Thread Tools
 
Old 04-23-2010, 10:13 PM
Keith Edmunds
 
Default Cyrus 2.2 imapd in AMD64

Did you confirm that the binary database files (if you're using any) are
compatible across versions?

--
Keith Edmunds

+-------------------------------------------------------------------------+
| Tiger Computing Ltd | Helping businesses make the most of Linux |
| "The Linux Specialists" | http://www.tiger-computing.co.uk |
+-------------------------------------------------------------------------+


--
To UNSUBSCRIBE, email to debian-isp-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20100423231343.29eb4216@ws.in.tiger-computing.com">http://lists.debian.org/20100423231343.29eb4216@ws.in.tiger-computing.com
 
Old 04-23-2010, 11:19 PM
Carlos Bergero
 
Default Cyrus 2.2 imapd in AMD64

After checking the DB files I found out the version im using in the etch
server uses Berkeley DB (Btree, version 8 native byte-order) while the
new lenny server is using Berkeley DB (Btree, version 9, native
byte-order) for at least the deliver.db and th tls_sessions.db, do you
agree this could be the problem and if so, any clue how to convert one
into the other?


Sincerely
Carlos

Carlos Bergero escribió:
Hi there list, got some trouble running a cyrus server, actually I
have an old setup running in Etch i386 without any trouble, virtual
mail server and all pgsql setup for backend and postfix for MTA, all
sweat. I installed a new server, better hardware, using AMD64 dist, as
Etch is going to be out of security, I copy everithing but the cyrus
is not properly working. I cant conect to the imap port or use imtest,
to check users, when i start server first cyr_expire and then
tls_prune consume lots of time doing not shure what, and i get the
following syslog and kern.log error:


Apr 22 18:48:08 darwin kernel: [6121490.275489] ctl_cyrusdb[18309]
general protection ip:7fecdaef0f30 sp:7fffc46d9380 error:0 in
libdb-4.2.so[7fecdae4e000+ea000]
Apr 22 19:12:49 darwin kernel: [6122984.242061] ctl_cyrusdb[18505]:
segfault at 7f584401cefc ip 7f0a429acf30 sp 7fffb28b3cf0 error 4 in
libdb-4.2.so[7f0a4290a000+ea000]
Apr 22 19:13:48 darwin kernel: [6123046.804454] ctl_cyrusdb[18594]:
segfault at 7f7805960efc ip 7f2a042f0f30 sp 7fff32ae8440 error 4 in
libdb-4.2.so[7f2a0424e000+ea000]
Apr 22 19:28:52 darwin kernel: [6124020.255192] ctl_cyrusdb[18881]:
segfault at 7f8302309efc ip 7f3500c99f30 sp 7fff8d1ed6e0 error 4 in
libdb-4.2.so[7f3500bf7000+ea000]
Apr 22 19:57:43 darwin kernel: [6125775.477974] ctl_cyrusdb[19100]
general protection ip:7fdb78441f30 sp:7ffff5879430 error:0 in
libdb-4.2.so[7fdb7839f000+ea000]
Apr 22 20:17:05 darwin kernel: [6127022.816744] ctl_cyrusdb[19571]
general protection ip:7fe3cd7aaf30 sp:7fff03057fe0 error:0 in
libdb-4.2.so[7fe3cd708000+ea000]


which is wierd!

After a while or if I kill this process cyrmaster starts but the re is
no way to conect to the imap server. Configuration files are the same
in both servers, etch and lenny its just not working in lenny though
packages looks to be the same.

This is the cyrus.conf file:



Any clues about what could be wrong?

Cheers,
Carlos





--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Archive: 4BD22B01.3050907@fcien.edu.uy">http://lists.debian.org/4BD22B01.3050907@fcien.edu.uy
 
Old 04-23-2010, 11:19 PM
Carlos Bergero
 
Default Cyrus 2.2 imapd in AMD64

After checking the DB files I found out the version im using in the etch
server uses Berkeley DB (Btree, version 8 native byte-order) while the
new lenny server is using Berkeley DB (Btree, version 9, native
byte-order) for at least the deliver.db and th tls_sessions.db, do you
agree this could be the problem and if so, any clue how to convert one
into the other?


Sincerely
Carlos

Carlos Bergero escribió:
Hi there list, got some trouble running a cyrus server, actually I
have an old setup running in Etch i386 without any trouble, virtual
mail server and all pgsql setup for backend and postfix for MTA, all
sweat. I installed a new server, better hardware, using AMD64 dist, as
Etch is going to be out of security, I copy everithing but the cyrus
is not properly working. I cant conect to the imap port or use imtest,
to check users, when i start server first cyr_expire and then
tls_prune consume lots of time doing not shure what, and i get the
following syslog and kern.log error:


Apr 22 18:48:08 darwin kernel: [6121490.275489] ctl_cyrusdb[18309]
general protection ip:7fecdaef0f30 sp:7fffc46d9380 error:0 in
libdb-4.2.so[7fecdae4e000+ea000]
Apr 22 19:12:49 darwin kernel: [6122984.242061] ctl_cyrusdb[18505]:
segfault at 7f584401cefc ip 7f0a429acf30 sp 7fffb28b3cf0 error 4 in
libdb-4.2.so[7f0a4290a000+ea000]
Apr 22 19:13:48 darwin kernel: [6123046.804454] ctl_cyrusdb[18594]:
segfault at 7f7805960efc ip 7f2a042f0f30 sp 7fff32ae8440 error 4 in
libdb-4.2.so[7f2a0424e000+ea000]
Apr 22 19:28:52 darwin kernel: [6124020.255192] ctl_cyrusdb[18881]:
segfault at 7f8302309efc ip 7f3500c99f30 sp 7fff8d1ed6e0 error 4 in
libdb-4.2.so[7f3500bf7000+ea000]
Apr 22 19:57:43 darwin kernel: [6125775.477974] ctl_cyrusdb[19100]
general protection ip:7fdb78441f30 sp:7ffff5879430 error:0 in
libdb-4.2.so[7fdb7839f000+ea000]
Apr 22 20:17:05 darwin kernel: [6127022.816744] ctl_cyrusdb[19571]
general protection ip:7fe3cd7aaf30 sp:7fff03057fe0 error:0 in
libdb-4.2.so[7fe3cd708000+ea000]


which is wierd!

After a while or if I kill this process cyrmaster starts but the re is
no way to conect to the imap server. Configuration files are the same
in both servers, etch and lenny its just not working in lenny though
packages looks to be the same.

This is the cyrus.conf file:



Any clues about what could be wrong?

Cheers,
Carlos





--
To UNSUBSCRIBE, email to debian-isp-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4BD22B01.3050907@fcien.edu.uy">http://lists.debian.org/4BD22B01.3050907@fcien.edu.uy
 
Old 04-24-2010, 08:58 AM
Camaleón
 
Default Cyrus 2.2 imapd in AMD64

On Fri, 23 Apr 2010 16:18:31 -0300, Carlos Bergero wrote:

> Sorry forget to copy it
> tlsprune is disable now so it doesnt lock the start up of the cyrus

Next time use an online service (such Pastebin) to put the data and send
a link ;-)

(...)

> Both are mostly standar files.

Yep, I see nothing strange in there.

I would start Cyrus setup and user migration from scratch to avoid any
incompatibility between the old installation and the new.

Greetings,

--
Camaleón


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: pan.2010.04.24.08.58.14@gmail.com">http://lists.debian.org/pan.2010.04.24.08.58.14@gmail.com
 
Old 04-24-2010, 10:45 AM
Laurence Southon
 
Default Cyrus 2.2 imapd in AMD64

Carlos Bergero wrote:
After checking the DB files I found out the version im using in the etch
server uses Berkeley DB (Btree, version 8 native byte-order) while the
new lenny server is using Berkeley DB (Btree, version 9, native
byte-order) for at least the deliver.db and th tls_sessions.db, do you
agree this could be the problem and if so, any clue how to convert one
into the other?



On Lenny:

/usr/share/doc/cyrus-common-2.2/README.Debian.database.gz

contains the instructions.

If you have any Sieve scripts, they may also need to be updated.
Instructions at:


/usr/share/doc/cyrus-common-2.2/UPGRADE.Debian.gz


--
Laurence Southon
Tiger Computing, Bexley, Kent, UK
www.tiger-computing.co.uk


--
To UNSUBSCRIBE, email to debian-isp-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4BD2CBD0.4010104@southon.uk.net">http://lists.debian.org/4BD2CBD0.4010104@southon.uk.net
 
Old 04-26-2010, 07:06 PM
Carlos Bergero
 
Default Cyrus 2.2 imapd in AMD64

El 22/04/10 20:50, Carlos Bergero escribió:
Hi there list, got some trouble running a cyrus server, actually I
have an old setup running in Etch i386 without any trouble, virtual
mail server and all pgsql setup for backend and postfix for MTA, all
sweat. I installed a new server, better hardware, using AMD64 dist, as
Etch is going to be out of security, I copy everithing but the cyrus
is not properly working. I cant conect to the imap port or use imtest,
to check users, when i start server first cyr_expire and then
tls_prune consume lots of time doing not shure what, and i get the
following syslog and kern.log error:


Apr 22 18:48:08 darwin kernel: [6121490.275489] ctl_cyrusdb[18309]
general protection ip:7fecdaef0f30 sp:7fffc46d9380 error:0 in
libdb-4.2.so[7fecdae4e000+ea000]
Apr 22 19:12:49 darwin kernel: [6122984.242061] ctl_cyrusdb[18505]:
segfault at 7f584401cefc ip 7f0a429acf30 sp 7fffb28b3cf0 error 4 in
libdb-4.2.so[7f0a4290a000+ea000]
Apr 22 19:13:48 darwin kernel: [6123046.804454] ctl_cyrusdb[18594]:
segfault at 7f7805960efc ip 7f2a042f0f30 sp 7fff32ae8440 error 4 in
libdb-4.2.so[7f2a0424e000+ea000]
Apr 22 19:28:52 darwin kernel: [6124020.255192] ctl_cyrusdb[18881]:
segfault at 7f8302309efc ip 7f3500c99f30 sp 7fff8d1ed6e0 error 4 in
libdb-4.2.so[7f3500bf7000+ea000]
Apr 22 19:57:43 darwin kernel: [6125775.477974] ctl_cyrusdb[19100]
general protection ip:7fdb78441f30 sp:7ffff5879430 error:0 in
libdb-4.2.so[7fdb7839f000+ea000]
Apr 22 20:17:05 darwin kernel: [6127022.816744] ctl_cyrusdb[19571]
general protection ip:7fe3cd7aaf30 sp:7fff03057fe0 error:0 in
libdb-4.2.so[7fe3cd708000+ea000]


which is wierd!

After a while or if I kill this process cyrmaster starts but the re is
no way to conect to the imap server. Configuration files are the same
in both servers, etch and lenny its just not working in lenny though
packages looks to be the same.

This is the cyrus.conf file:



Any clues about what could be wrong?

Cheers,
Carlos


Apparently for what i read in list and in web pages/lists/readme it
might be a compatibility problem in Berkeley DB use by Cyrus. For the
record I inherit this system in a Unstable Testing server, in
production, and had to do an emergency migration to Etch Old Stable,
about a year ago(stable by then). Now I'm moving it to a newer server in
Lenny Stable and find my self unable to start the cyrus process
properly, apparently the server runs a series of checks in this DB,
tls_sessions.db an deliver.db, at start time and in different crons,
which get stall while running. So far I haven't been able to fix the
problem but at least it seams the issue came that way, which is
something. The mentioned DB has the following file format:

./tls_sessions.db: Berkeley DB (Btree, version 8, native byte-order)
./deliver.db: Berkeley DB (Btree, version 8, native byte-order)
and there a a couple of cyrus DB files which readme upgrade ask to
migrate with a cyrus tool which is not working atm,
./mailboxes.db: Cyrus skiplist DB (which it has a different name simply
mailboxes, without the .db extension)
./annotations.db: Cyrus skiplist DB (which is not mentioned in the
tutorial)
So far im focused in trying to get this DB to the proper format version
9 in the standard Lenny install, and see what happens, without much success.

If I manage to work it out ill post the process int list.
If anyone has a better clue ill appreciate it

Sincerely,
Carlos



--
To UNSUBSCRIBE, email to debian-isp-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4BD5E41E.80702@fcien.edu.uy">http://lists.debian.org/4BD5E41E.80702@fcien.edu.uy
 
Old 04-26-2010, 07:06 PM
Carlos Bergero
 
Default Cyrus 2.2 imapd in AMD64

El 22/04/10 20:50, Carlos Bergero escribió:
Hi there list, got some trouble running a cyrus server, actually I
have an old setup running in Etch i386 without any trouble, virtual
mail server and all pgsql setup for backend and postfix for MTA, all
sweat. I installed a new server, better hardware, using AMD64 dist, as
Etch is going to be out of security, I copy everithing but the cyrus
is not properly working. I cant conect to the imap port or use imtest,
to check users, when i start server first cyr_expire and then
tls_prune consume lots of time doing not shure what, and i get the
following syslog and kern.log error:


Apr 22 18:48:08 darwin kernel: [6121490.275489] ctl_cyrusdb[18309]
general protection ip:7fecdaef0f30 sp:7fffc46d9380 error:0 in
libdb-4.2.so[7fecdae4e000+ea000]
Apr 22 19:12:49 darwin kernel: [6122984.242061] ctl_cyrusdb[18505]:
segfault at 7f584401cefc ip 7f0a429acf30 sp 7fffb28b3cf0 error 4 in
libdb-4.2.so[7f0a4290a000+ea000]
Apr 22 19:13:48 darwin kernel: [6123046.804454] ctl_cyrusdb[18594]:
segfault at 7f7805960efc ip 7f2a042f0f30 sp 7fff32ae8440 error 4 in
libdb-4.2.so[7f2a0424e000+ea000]
Apr 22 19:28:52 darwin kernel: [6124020.255192] ctl_cyrusdb[18881]:
segfault at 7f8302309efc ip 7f3500c99f30 sp 7fff8d1ed6e0 error 4 in
libdb-4.2.so[7f3500bf7000+ea000]
Apr 22 19:57:43 darwin kernel: [6125775.477974] ctl_cyrusdb[19100]
general protection ip:7fdb78441f30 sp:7ffff5879430 error:0 in
libdb-4.2.so[7fdb7839f000+ea000]
Apr 22 20:17:05 darwin kernel: [6127022.816744] ctl_cyrusdb[19571]
general protection ip:7fe3cd7aaf30 sp:7fff03057fe0 error:0 in
libdb-4.2.so[7fe3cd708000+ea000]


which is wierd!

After a while or if I kill this process cyrmaster starts but the re is
no way to conect to the imap server. Configuration files are the same
in both servers, etch and lenny its just not working in lenny though
packages looks to be the same.

This is the cyrus.conf file:



Any clues about what could be wrong?

Cheers,
Carlos


Apparently for what i read in list and in web pages/lists/readme it
might be a compatibility problem in Berkeley DB use by Cyrus. For the
record I inherit this system in a Unstable Testing server, in
production, and had to do an emergency migration to Etch Old Stable,
about a year ago(stable by then). Now I'm moving it to a newer server in
Lenny Stable and find my self unable to start the cyrus process
properly, apparently the server runs a series of checks in this DB,
tls_sessions.db an deliver.db, at start time and in different crons,
which get stall while running. So far I haven't been able to fix the
problem but at least it seams the issue came that way, which is
something. The mentioned DB has the following file format:

./tls_sessions.db: Berkeley DB (Btree, version 8, native byte-order)
./deliver.db: Berkeley DB (Btree, version 8, native byte-order)
and there a a couple of cyrus DB files which readme upgrade ask to
migrate with a cyrus tool which is not working atm,
./mailboxes.db: Cyrus skiplist DB (which it has a different name simply
mailboxes, without the .db extension)
./annotations.db: Cyrus skiplist DB (which is not mentioned in the
tutorial)
So far im focused in trying to get this DB to the proper format version
9 in the standard Lenny install, and see what happens, without much success.

If I manage to work it out ill post the process int list.
If anyone has a better clue ill appreciate it

Sincerely,
Carlos



--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Archive: 4BD5E41E.80702@fcien.edu.uy">http://lists.debian.org/4BD5E41E.80702@fcien.edu.uy
 
Old 04-26-2010, 09:10 PM
Kris Deugau
 
Default Cyrus 2.2 imapd in AMD64

Carlos Bergero wrote:
Apparently for what i read in list and in web pages/lists/readme it
might be a compatibility problem in Berkeley DB use by Cyrus.


Mmm, possible but IME BDB has an unfortunate tendency to create files
that are not cross-version-compatible. Upstream supposedly provides an
upgrade/conversion script/binary (not sure which one), but I've never
found it, and it may be in a -utils package.


So far im focused in trying to get this DB to the proper format version
9 in the standard Lenny install, and see what happens, without much
success.


BDB and other binary hash files are typically discardable and can be
regenerated from a plaintext source, IME. See if you can find that
source, and the process or script that regenerates the live BDB files.


-kgd


--
To UNSUBSCRIBE, email to debian-isp-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4BD60148.4000907@vianet.ca">http://lists.debian.org/4BD60148.4000907@vianet.ca
 
Old 04-26-2010, 09:10 PM
Kris Deugau
 
Default Cyrus 2.2 imapd in AMD64

Carlos Bergero wrote:
Apparently for what i read in list and in web pages/lists/readme it
might be a compatibility problem in Berkeley DB use by Cyrus.


Mmm, possible but IME BDB has an unfortunate tendency to create files
that are not cross-version-compatible. Upstream supposedly provides an
upgrade/conversion script/binary (not sure which one), but I've never
found it, and it may be in a -utils package.


So far im focused in trying to get this DB to the proper format version
9 in the standard Lenny install, and see what happens, without much
success.


BDB and other binary hash files are typically discardable and can be
regenerated from a plaintext source, IME. See if you can find that
source, and the process or script that regenerates the live BDB files.


-kgd


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Archive: 4BD60148.4000907@vianet.ca">http://lists.debian.org/4BD60148.4000907@vianet.ca
 
Old 04-26-2010, 10:51 PM
Carl Johnson
 
Default Cyrus 2.2 imapd in AMD64

Carlos Bergero <rak@fcien.edu.uy> writes:

--snip--

> Apparently for what i read in list and in web pages/lists/readme it
> might be a compatibility problem in Berkeley DB use by Cyrus.
--snip--
> So far im focused in trying to get this DB to the proper format
> version 9 in the standard Lenny install, and see what happens, without
> much success.
> If I manage to work it out ill post the process int list.
> If anyone has a better clue ill appreciate it

Have you looked at the db4.x-util packages, for whatever version of
library you have? The db4.6-util package contains a program called
db4.6-upgrade which might do what you want. There are other version
of db-util, so get whichever one matches your current library and try
it on a *copy* to see if it does what you want.

--
Carl Johnson carlj@peak.org


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 8739yhx1yg.fsf@cjlinux.localnet">http://lists.debian.org/8739yhx1yg.fsf@cjlinux.localnet
 

Thread Tools




All times are GMT. The time now is 12:29 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org